Index: src/org/jboss/tools/seam/ui/marker/SeamProblemMarkerResolutionGenerator.java
===================================================================
--- src/org/jboss/tools/seam/ui/marker/SeamProblemMarkerResolutionGenerator.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/marker/SeamProblemMarkerResolutionGenerator.java	(working copy)
@@ -26,10 +26,10 @@
 import org.jboss.tools.seam.core.ISeamProperty;
 import org.jboss.tools.seam.core.ISeamXmlComponentDeclaration;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.SeamComponentDeclaration;
 import org.jboss.tools.seam.internal.core.validation.SeamCoreValidator;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * @author Daniel Azarov
@@ -84,119 +84,119 @@
 			if (messageId == SeamCoreValidator.NONUNIQUE_COMPONENT_NAME_MESSAGE_ID) {
 				return new IMarkerResolution[] {
 						new RenameAnnotationMarkerResolution(
-								SeamUIMessages.RENAME_NAME_ANNOTATION_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.RENAME_NAME_ANNOTATION_MARKER_RESOLUTION_TITLE,
 								"org.jboss.seam.annotations.Name", file, start,
 								end),
 						new DeleteAnnotationMarkerResolution(
-								SeamUIMessages.DELETE_NAME_ANNOTATION_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.DELETE_NAME_ANNOTATION_MARKER_RESOLUTION_TITLE,
 								"org.jboss.seam.annotations.Name", file, start,
 								end) };
 			} else if (messageId == SeamCoreValidator.DUPLICATE_REMOVE_MESSAGE_ID)
 				return new IMarkerResolution[] { new DeleteAnnotationMarkerResolution(
-						SeamUIMessages.DELETE_REMOVE_ANNOTATION_MARKER_RESOLUTION_TITLE,
+						SeamCoreMessages.DELETE_REMOVE_ANNOTATION_MARKER_RESOLUTION_TITLE,
 						"javax.ejb.Remove", file, start, end) };
 			else if (messageId == SeamCoreValidator.DUPLICATE_DESTROY_MESSAGE_ID)
 				return new IMarkerResolution[] { new DeleteAnnotationMarkerResolution(
-						SeamUIMessages.DELETE_DESTROY_ANNOTATION_MARKER_RESOLUTION_TITLE,
+						SeamCoreMessages.DELETE_DESTROY_ANNOTATION_MARKER_RESOLUTION_TITLE,
 						"org.jboss.seam.annotations.Destroy", file, start, end) };
 			else if (messageId == SeamCoreValidator.DUPLICATE_CREATE_MESSAGE_ID)
 				return new IMarkerResolution[] { new DeleteAnnotationMarkerResolution(
-						SeamUIMessages.DELETE_CREATE_ANNOTATION_MARKER_RESOLUTION_TITLE,
+						SeamCoreMessages.DELETE_CREATE_ANNOTATION_MARKER_RESOLUTION_TITLE,
 						"org.jboss.seam.annotations.Create", file, start, end) };
 			else if (messageId == SeamCoreValidator.DUPLICATE_UNWRAP_MESSAGE_ID)
 				return new IMarkerResolution[] { new DeleteAnnotationMarkerResolution(
-						SeamUIMessages.DELETE_UNWRAP_ANNOTATION_MARKER_RESOLUTION_TITLE,
+						SeamCoreMessages.DELETE_UNWRAP_ANNOTATION_MARKER_RESOLUTION_TITLE,
 						"org.jboss.seam.annotations.Unwrap", file, start, end) };
 			else if (messageId == SeamCoreValidator.DESTROY_METHOD_BELONGS_TO_STATELESS_SESSION_BEAN_MESSAGE_ID)
 				return new IMarkerResolution[] { new DeleteAnnotationMarkerResolution(
-						SeamUIMessages.DELETE_DESTROY_ANNOTATION_MARKER_RESOLUTION_TITLE,
+						SeamCoreMessages.DELETE_DESTROY_ANNOTATION_MARKER_RESOLUTION_TITLE,
 						"org.jboss.seam.annotations.Destroy", file, start, end) };
 			else if (messageId == SeamCoreValidator.CREATE_DOESNT_BELONG_TO_COMPONENT_MESSAGE_ID)
 				return new IMarkerResolution[] {
 						new AddAnnotationMarkerResolution(
-								SeamUIMessages.ADD_NAME_ANNOTATION_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.ADD_NAME_ANNOTATION_MARKER_RESOLUTION_TITLE,
 								"org.jboss.seam.annotations.Name", file, start,
 								end, true),
 						new DeleteAnnotationMarkerResolution(
-								SeamUIMessages.DELETE_CREATE_ANNOTATION_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.DELETE_CREATE_ANNOTATION_MARKER_RESOLUTION_TITLE,
 								"org.jboss.seam.annotations.Create", file,
 								start, end) };
 			else if (messageId == SeamCoreValidator.UNWRAP_DOESNT_BELONG_TO_COMPONENT_MESSAGE_ID)
 				return new IMarkerResolution[] {
 						new AddAnnotationMarkerResolution(
-								SeamUIMessages.ADD_NAME_ANNOTATION_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.ADD_NAME_ANNOTATION_MARKER_RESOLUTION_TITLE,
 								"org.jboss.seam.annotations.Name", file, start,
 								end, true),
 						new DeleteAnnotationMarkerResolution(
-								SeamUIMessages.DELETE_UNWRAP_ANNOTATION_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.DELETE_UNWRAP_ANNOTATION_MARKER_RESOLUTION_TITLE,
 								"org.jboss.seam.annotations.Unwrap", file,
 								start, end) };
 			else if (messageId == SeamCoreValidator.OBSERVER_DOESNT_BELONG_TO_COMPONENT_MESSAGE_ID)
 				return new IMarkerResolution[] {
 						new AddAnnotationMarkerResolution(
-								SeamUIMessages.ADD_NAME_ANNOTATION_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.ADD_NAME_ANNOTATION_MARKER_RESOLUTION_TITLE,
 								"org.jboss.seam.annotations.Name", file, start,
 								end, true),
 						new DeleteAnnotationMarkerResolution(
-								SeamUIMessages.DELETE_OBSERVER_ANNOTATION_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.DELETE_OBSERVER_ANNOTATION_MARKER_RESOLUTION_TITLE,
 								"org.jboss.seam.annotations.Observer", file,
 								start, end) };
 			else if (messageId == SeamCoreValidator.STATEFUL_COMPONENT_DOES_NOT_CONTAIN_REMOVE_ID)
 				return new IMarkerResolution[] { new AddAnnotatedMethodMarkerResolution(
-						SeamUIMessages.ADD_ANNOTATED_REMOVE_METHOD_MARKER_RESOLUTION_TITLE,
+						SeamCoreMessages.ADD_ANNOTATED_REMOVE_METHOD_MARKER_RESOLUTION_TITLE,
 						"javax.ejb.Remove", file, start, end) };
 			else if (messageId == SeamCoreValidator.STATEFUL_COMPONENT_DOES_NOT_CONTAIN_DESTROY_ID)
 				return new IMarkerResolution[] { new AddAnnotatedMethodMarkerResolution(
-						SeamUIMessages.ADD_ANNOTATED_DESTROY_METHOD_MARKER_RESOLUTION_TITLE,
+						SeamCoreMessages.ADD_ANNOTATED_DESTROY_METHOD_MARKER_RESOLUTION_TITLE,
 						"org.jboss.seam.annotations.Destroy", file, start, end) };
 			else if (messageId == SeamCoreValidator.STATEFUL_COMPONENT_WRONG_SCOPE_ID)
 				return new IMarkerResolution[] {
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.APPLICATION", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.BUSINESS_PROCESS", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.CONVERSATION", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.EVENT", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.METHOD", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.SESSION", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.UNSPECIFIED", file, start, end) };
 			else if (messageId == SeamCoreValidator.ENTITY_COMPONENT_WRONG_SCOPE_ID)
 				return new IMarkerResolution[] {
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.APPLICATION", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.BUSINESS_PROCESS", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.CONVERSATION", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.EVENT", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.METHOD", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.PAGE", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.SESSION", file, start, end),
 						new ChangeScopeMarkerResolution(
-								SeamUIMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
+								SeamCoreMessages.CHANGE_SCOPETYPE_MARKER_RESOLUTION_TITLE,
 								"ScopeType.UNSPECIFIED", file, start, end) };
 		}else if(XML_EXTENSION.equals(file.getFileExtension())){
 			if (messageId == SeamCoreValidator.UNKNOWN_COMPONENT_PROPERTY_ID){
Index: src/org/jboss/tools/seam/ui/marker/AddSetterMarkerResolution.java
===================================================================
--- src/org/jboss/tools/seam/ui/marker/AddSetterMarkerResolution.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/marker/AddSetterMarkerResolution.java	(working copy)
@@ -31,8 +31,8 @@
 import org.jboss.tools.common.java.generation.JavaPropertyGenerator;
 import org.jboss.tools.seam.core.ISeamJavaComponentDeclaration;
 import org.jboss.tools.seam.core.ISeamProperty;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * @author Daniel Azarov
@@ -46,7 +46,7 @@
 	public AddSetterMarkerResolution(ISeamProperty property, ISeamJavaComponentDeclaration javaDeclaration){
 		this.property = property;
 		this.javaDeclaration = javaDeclaration;
-		this.label = MessageFormat.format(SeamUIMessages.ADD_SETTER_MARKER_RESOLUTION_TITLE, new Object[]{property.getName(), javaDeclaration.getClassName()});
+		this.label = MessageFormat.format(SeamCoreMessages.ADD_SETTER_MARKER_RESOLUTION_TITLE, new Object[]{property.getName(), javaDeclaration.getClassName()});
 	}
 
 	public String getLabel() {
Index: src/org/jboss/tools/seam/ui/wizard/SeamFormWizardPage1.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamFormWizardPage1.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamFormWizardPage1.java	(working copy)
@@ -11,7 +11,7 @@
 package org.jboss.tools.seam.ui.wizard;
 
 import org.eclipse.jface.viewers.IStructuredSelection;
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 
 /**
  * @author eskimo
@@ -24,7 +24,7 @@
 	 * @param pageName
 	 */
 	public SeamFormWizardPage1(IStructuredSelection is) {
-		super("seam.new.form.page1",SeamUIMessages.SEAM_FORM_WIZARD_PAGE1_SEAM_FORM,null, is); //$NON-NLS-1$
+		super("seam.new.form.page1",SeamCoreMessages.SEAM_FORM_WIZARD_PAGE1_SEAM_FORM,null, is); //$NON-NLS-1$
 		setMessage(getDefaultMessageText());
 	}
 
Index: src/org/jboss/tools/seam/ui/wizard/SeamEntityWizardPage1.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamEntityWizardPage1.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamEntityWizardPage1.java	(working copy)
@@ -32,11 +32,11 @@
 import org.jboss.tools.common.ui.widget.editor.IFieldEditor;
 import org.jboss.tools.seam.core.SeamCorePlugin;
 import org.jboss.tools.seam.core.SeamProjectsSet;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.internal.core.validation.SeamProjectPropertyValidator;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
 
 /**
  * @author eskimo
@@ -147,7 +147,7 @@
 				editorRegistry.get(ISeamParameter.SEAM_ENTITY_CLASS_NAME).getValue(), null);
 
 		if(!errors.isEmpty()) {
-			setErrorMessage(NLS.bind(errors.get(IValidator.DEFAULT_ERROR).getMessage(),SeamUIMessages.SEAM_ENTITY_WIZARD_PAGE1_ENTITY_CLASS_NAME));
+			setErrorMessage(NLS.bind(errors.get(IValidator.DEFAULT_ERROR).getMessage(),SeamCoreMessages.SEAM_ENTITY_WIZARD_PAGE1_ENTITY_CLASS_NAME));
 			setPageComplete(false);
 			return;
 		}
@@ -163,7 +163,7 @@
 		}
 
 		errors = SeamValidatorFactory.FILE_NAME_VALIDATOR.validate(
-				editorRegistry.get(ISeamParameter.SEAM_MASTER_PAGE_NAME).getValue(), new Object[]{SeamUIMessages.SEAM_ENTITY_WIZARD_PAGE1_ENTITY_MASTER_PAGE,project,project});
+				editorRegistry.get(ISeamParameter.SEAM_MASTER_PAGE_NAME).getValue(), new Object[]{SeamCoreMessages.SEAM_ENTITY_WIZARD_PAGE1_ENTITY_MASTER_PAGE,project,project});
 
 		if(!errors.isEmpty()) {
 			setErrorMessage(errors.get(IValidator.DEFAULT_ERROR).getMessage());
@@ -172,7 +172,7 @@
 		}
 
 		errors = SeamValidatorFactory.FILE_NAME_VALIDATOR.validate(
-				editorRegistry.get(ISeamParameter.SEAM_PAGE_NAME).getValue(), new Object[]{SeamUIMessages.SEAM_ENTITY_WIZARD_PAGE1_PAGE,project});
+				editorRegistry.get(ISeamParameter.SEAM_PAGE_NAME).getValue(), new Object[]{SeamCoreMessages.SEAM_ENTITY_WIZARD_PAGE1_PAGE,project});
 
 		if(!errors.isEmpty()) {
 			setErrorMessage(errors.get(IValidator.DEFAULT_ERROR).getMessage());
@@ -187,7 +187,7 @@
 				IType component = javaProject.findType((String)editorRegistry.get(ISeamParameter.SEAM_PACKAGE_NAME).getValue()+"."+editorRegistry.get(ISeamParameter.SEAM_ENTITY_CLASS_NAME).getValue());
 				if(component != null){
 					setErrorMessage(null);
-					setMessage(SeamUIMessages.ENTITY_CLASS_ALREADY_EXISTS, IMessageProvider.WARNING);
+					setMessage(SeamCoreMessages.ENTITY_CLASS_ALREADY_EXISTS, IMessageProvider.WARNING);
 					setPageComplete(true);
 					return;
 				}
@@ -204,7 +204,7 @@
 		IFile masterPageFile = ResourcesPlugin.getWorkspace().getRoot().getFile(masterPage);
 		if(masterPageFile.exists()){
 			setErrorMessage(null);
-			setMessage(SeamUIMessages.MASTER_PAGE_ALREADY_EXISTS, IMessageProvider.WARNING);
+			setMessage(SeamCoreMessages.MASTER_PAGE_ALREADY_EXISTS, IMessageProvider.WARNING);
 			setPageComplete(true);
 			return;
 		}
@@ -214,7 +214,7 @@
 		IFile pageFile = ResourcesPlugin.getWorkspace().getRoot().getFile(page);
 		if(pageFile.exists()){
 			setErrorMessage(null);
-			setMessage(SeamUIMessages.PAGE_ALREADY_EXISTS, IMessageProvider.WARNING);
+			setMessage(SeamCoreMessages.PAGE_ALREADY_EXISTS, IMessageProvider.WARNING);
 			setPageComplete(true);
 			return;
 		}
Index: src/org/jboss/tools/seam/ui/wizard/SelectSeamProjectAction.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SelectSeamProjectAction.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SelectSeamProjectAction.java	(working copy)
@@ -17,7 +17,7 @@
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.ui.dialogs.ListDialog;
 import org.jboss.tools.common.ui.widget.editor.ButtonFieldEditor;
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 
 public class SelectSeamProjectAction extends ButtonFieldEditor.ButtonPressedAction {
 
@@ -27,7 +27,7 @@
 	 * @param allowAllProjects If "false" show only projects with seam nature.
 	 */
 	public SelectSeamProjectAction(boolean allowAllProjects) {
-		super(SeamUIMessages.SELECT_SEAM_PROJECT_ACTION_BROWSE);
+		super(SeamCoreMessages.SELECT_SEAM_PROJECT_ACTION_BROWSE);
 		this.allowAllProjects = allowAllProjects;
 	}
 
Index: src/org/jboss/tools/seam/ui/wizard/SeamConversationWizardPage1.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamConversationWizardPage1.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamConversationWizardPage1.java	(working copy)
@@ -12,7 +12,7 @@
 package org.jboss.tools.seam.ui.wizard;
 
 import org.eclipse.jface.viewers.IStructuredSelection;
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 
 /**
  * @author eskimo
@@ -21,7 +21,7 @@
 public class SeamConversationWizardPage1 extends SeamBaseWizardPage {
 
 	public SeamConversationWizardPage1(IStructuredSelection initialSelection) {
-		super("seam.new.conversation.page1",SeamUIMessages.SEAM_CONVERSATION_WIZARD_PAGE1_SEAM_CONVERSATION,null, initialSelection);
+		super("seam.new.conversation.page1",SeamCoreMessages.SEAM_CONVERSATION_WIZARD_PAGE1_SEAM_CONVERSATION,null, initialSelection);
 		setMessage(getDefaultMessageText());
 	}
 
Index: src/org/jboss/tools/seam/ui/wizard/SeamDSXMLWizard.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamDSXMLWizard.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamDSXMLWizard.java	(working copy)
@@ -45,7 +45,7 @@
 import org.jboss.tools.seam.internal.core.project.facet.SeamFacetFilterSetFactory;
 import org.jboss.tools.seam.internal.core.project.facet.SeamFacetInstallDataModelProvider;
 import org.jboss.tools.seam.internal.core.project.facet.SeamFacetPreInstallDelegate;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 
 public class SeamDSXMLWizard extends BasicNewResourceWizard {
 	public static final String WIZARD_ID = "org.jboss.tools.seam.ui.wizard.SeamDSXMLWizard"; //$NON-NLS-1$
Index: src/org/jboss/tools/seam/ui/wizard/SeamActionWizard.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamActionWizard.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamActionWizard.java	(working copy)
@@ -25,11 +25,11 @@
 import org.eclipse.ui.INewWizard;
 import org.eclipse.ui.PlatformUI;
 import org.jboss.tools.common.ui.widget.editor.INamedElement;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
 import org.jboss.tools.seam.internal.core.project.facet.SeamFacetInstallDataModelProvider;
 import org.jboss.tools.seam.ui.ISeamHelpContextIds;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * 
@@ -53,7 +53,7 @@
 	 */
 	public SeamActionWizard() {
 		super(CREATE_SEAM_ACTION);
-		setWindowTitle(SeamUIMessages.SEAM_ACTION_WIZARD_NEW_SEAM_ACTION);
+		setWindowTitle(SeamCoreMessages.SEAM_ACTION_WIZARD_NEW_SEAM_ACTION);
 		setDefaultPageImageDescriptor(ImageDescriptor.createFromFile(SeamActionWizard.class, "SeamFormWizBan.png")); //$NON-NLS-1$
 	}
 
@@ -74,7 +74,7 @@
 		 * @param label
 		 */
 		public SeamActionCreateOperation() {
-			super((SeamUIMessages.SEAM_ACTION_WIZARD_ACTION_CREATING_OPERATION));
+			super((SeamCoreMessages.SEAM_ACTION_WIZARD_ACTION_CREATING_OPERATION));
 		}
 
 		@Override
Index: src/org/jboss/tools/seam/ui/wizard/SeamGenerateEntitiesWizardPage.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamGenerateEntitiesWizardPage.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamGenerateEntitiesWizardPage.java	(working copy)
@@ -49,10 +49,10 @@
 import org.jboss.tools.common.ui.widget.field.RadioField;
 import org.jboss.tools.seam.core.SeamCorePlugin;
 import org.jboss.tools.seam.core.SeamProjectsSet;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.internal.core.validation.SeamProjectPropertyValidator;
-import org.jboss.tools.seam.ui.SeamUIMessages;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
 
 /**
  * @author Alexey Kazakov
@@ -68,8 +68,8 @@
 	IProject rootSeamProject;
 
 	public SeamGenerateEntitiesWizardPage() {
-		super("seam.generate.entities.page", SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_TITLE, null); //$NON-NLS-1$
-		setMessage(SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_PAGE_MESSAGE);
+		super("seam.generate.entities.page", SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_TITLE, null); //$NON-NLS-1$
+		setMessage(SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_PAGE_MESSAGE);
 	}
 
 	/* (non-Javadoc)
@@ -94,7 +94,7 @@
 				setMessage(null);
 			}
 		} else {
-			setMessage(SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_PAGE_MESSAGE);
+			setMessage(SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_PAGE_MESSAGE);
 			setPageComplete(false);
 		}
 
@@ -111,13 +111,13 @@
 
 		String config = (String)configEditor.getValue();
 		if(config==null || config.length()==0) {
-			setMessage(SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_HIBERNATE_CONFIGURATION_MESSAGE);
+			setMessage(SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_HIBERNATE_CONFIGURATION_MESSAGE);
 			setPageComplete(false);
 		}
 
 		Composite groupComposite = new GridLayoutComposite(top);
 		Group group = new Group(groupComposite, SWT.NONE);
-		group.setText(SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_GROUP_LABEL);
+		group.setText(SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_GROUP_LABEL);
 		group.setLayout(new GridLayout(1, false));
 		group.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
 
@@ -126,8 +126,8 @@
 		values.add("existing"); //$NON-NLS-1$
 		values.add("reverse"); //$NON-NLS-1$		
 		ArrayList<String> labels = new ArrayList<String>();
-		labels.add(SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_EXISTING_ENTITIES_LABEL);
-		labels.add(SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_REVERSE_ENGINEER_LABEL);		
+		labels.add(SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_EXISTING_ENTITIES_LABEL);
+		labels.add(SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_REVERSE_ENGINEER_LABEL);		
 		radios = new RadioField(radioComposite, labels, values, null, true);
 		radios.addPropertyChangeListener(this);
 		
@@ -292,7 +292,7 @@
 		if(!errors.isEmpty() || !isProjectSettingsOk()) {
 			IStatus errorMessage = errors.get(IValidator.DEFAULT_ERROR);
 			if(errorMessage==null) {
-				setErrorMessage(SeamUIMessages.VALIDATOR_INVALID_SETTINGS);
+				setErrorMessage(SeamCoreMessages.VALIDATOR_INVALID_SETTINGS);
 				setPageComplete(false);
 			} else {
 				if(errorMessage.getSeverity()==IStatus.ERROR) {
@@ -306,7 +306,7 @@
 		}
 		String config = (String)configEditor.getValue();
 		if(config==null || config.length()==0) {
-			setErrorMessage(SeamUIMessages.GENERATE_SEAM_ENTITIES_WIZARD_HIBERNATE_CONFIGURATION_ERROR);
+			setErrorMessage(SeamCoreMessages.GENERATE_SEAM_ENTITIES_WIZARD_HIBERNATE_CONFIGURATION_ERROR);
 			setPageComplete(false);
 			return;
 		}
Index: src/org/jboss/tools/seam/ui/wizard/SeamBaseWizardPage.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamBaseWizardPage.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamBaseWizardPage.java	(working copy)
@@ -44,11 +44,11 @@
 import org.jboss.tools.common.ui.widget.editor.LabelFieldEditor;
 import org.jboss.tools.seam.core.SeamCorePlugin;
 import org.jboss.tools.seam.core.SeamProjectsSet;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.internal.core.validation.SeamProjectPropertyValidator;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
 
 /**
  * @author eskimo
@@ -110,7 +110,7 @@
 			} else if(isWar()) {
 				getEditor(ISeamParameter.SEAM_BEAN_NAME).setEnabled(false);	
 				LabelFieldEditor label = (LabelFieldEditor)((CompositeEditor)getEditor(ISeamParameter.SEAM_LOCAL_INTERFACE_NAME)).getEditors().get(0);
-				label.getLabelControl().setText(SeamUIMessages.SEAM_BASE_WIZARD_PAGE_POJO_CLASS_NAME);
+				label.getLabelControl().setText(SeamCoreMessages.SEAM_BASE_WIZARD_PAGE_POJO_CLASS_NAME);
 			} else {
 				getEditor(ISeamParameter.SEAM_BEAN_NAME).setEnabled(true);
 			}
@@ -231,13 +231,13 @@
 		if(!isValidRuntimeConfigured(project)) return;
 
 		LabelFieldEditor label = (LabelFieldEditor)((CompositeEditor)getEditor(ISeamParameter.SEAM_LOCAL_INTERFACE_NAME)).getEditors().get(0);
-		label.getLabelControl().setText(isWar?SeamUIMessages.SEAM_BASE_WIZARD_PAGE_POJO_CLASS_NAME: SeamUIMessages.SEAM_BASE_WIZARD_PAGE_LOCAL_CLASS_NAME);
+		label.getLabelControl().setText(isWar?SeamCoreMessages.SEAM_BASE_WIZARD_PAGE_POJO_CLASS_NAME: SeamCoreMessages.SEAM_BASE_WIZARD_PAGE_LOCAL_CLASS_NAME);
 
 		Map<String, IStatus> errors = SeamValidatorFactory.SEAM_COMPONENT_NAME_VALIDATOR.validate(
 				editorRegistry.get(ISeamParameter.SEAM_COMPONENT_NAME).getValue(), null);
 
 		if(!errors.isEmpty()) {
-			setErrorMessage(NLS.bind(errors.get(IValidator.DEFAULT_ERROR).getMessage(),SeamUIMessages.SEAM_BASE_WIZARD_PAGE_SEAM_COMPONENTS));
+			setErrorMessage(NLS.bind(errors.get(IValidator.DEFAULT_ERROR).getMessage(),SeamCoreMessages.SEAM_BASE_WIZARD_PAGE_SEAM_COMPONENTS));
 			setPageComplete(false);
 			return;
 		}
@@ -246,7 +246,7 @@
 				editorRegistry.get(ISeamParameter.SEAM_LOCAL_INTERFACE_NAME).getValue(), null);
 
 		if(!errors.isEmpty()) {
-			setErrorMessage(NLS.bind(errors.get(IValidator.DEFAULT_ERROR).getMessage(),SeamUIMessages.SEAM_BASE_WIZARD_PAGE_LOCAL_INTERFACE));
+			setErrorMessage(NLS.bind(errors.get(IValidator.DEFAULT_ERROR).getMessage(),SeamCoreMessages.SEAM_BASE_WIZARD_PAGE_LOCAL_INTERFACE));
 			setPageComplete(false);
 			return;
 		}
@@ -291,7 +291,7 @@
 		}
 
 		errors = SeamValidatorFactory.SEAM_JAVA_INTEFACE_NAME_CONVENTION_VALIDATOR.validate(
-				editorRegistry.get(ISeamParameter.SEAM_LOCAL_INTERFACE_NAME).getValue(), new Object[]{SeamUIMessages.SEAM_BASE_WIZARD_PAGE_LOCAL_INTERFACE,project});
+				editorRegistry.get(ISeamParameter.SEAM_LOCAL_INTERFACE_NAME).getValue(), new Object[]{SeamCoreMessages.SEAM_BASE_WIZARD_PAGE_LOCAL_INTERFACE,project});
 
 		if(!errors.isEmpty()) {
 			setErrorMessage(null);
@@ -307,7 +307,7 @@
 				IType component = javaProject.findType((String)editorRegistry.get(ISeamParameter.SEAM_PACKAGE_NAME).getValue()+"."+editorRegistry.get(ISeamParameter.SEAM_LOCAL_INTERFACE_NAME).getValue());
 				if(component != null){
 					setErrorMessage(null);
-					setMessage(SeamUIMessages.POJO_CLASS_ALREADY_EXISTS, IMessageProvider.WARNING);
+					setMessage(SeamCoreMessages.POJO_CLASS_ALREADY_EXISTS, IMessageProvider.WARNING);
 					setPageComplete(true);
 					return;
 				}
@@ -324,7 +324,7 @@
 		IFile file = ResourcesPlugin.getWorkspace().getRoot().getFile(page);
 		if(file.exists()){
 			setErrorMessage(null);
-			setMessage(SeamUIMessages.PAGE_ALREADY_EXISTS, IMessageProvider.WARNING);
+			setMessage(SeamCoreMessages.PAGE_ALREADY_EXISTS, IMessageProvider.WARNING);
 			setPageComplete(true);
 			return;
 		}
@@ -367,7 +367,7 @@
 
 		if(!errors.isEmpty() || !isProjectSettingsOk()) {
 			IStatus errorStatus = errors.get(IValidator.DEFAULT_ERROR);
-			String errorMessage = SeamUIMessages.VALIDATOR_INVALID_SETTINGS;
+			String errorMessage = SeamCoreMessages.VALIDATOR_INVALID_SETTINGS;
 			if(errorStatus!=null) {
 				errorMessage = errorStatus.getMessage();
 			}
Index: src/org/jboss/tools/seam/ui/wizard/OpenSeamComponentDialog.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/OpenSeamComponentDialog.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/OpenSeamComponentDialog.java	(working copy)
@@ -42,8 +42,8 @@
 import org.jboss.tools.seam.core.ISeamComponent;
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.SeamUiImages;
 import org.jboss.tools.seam.ui.views.SeamReferencedFilter;
 
@@ -105,7 +105,7 @@
 			ItemsFilter itemsFilter, IProgressMonitor progressMonitor)
 			throws CoreException {
 		
-		progressMonitor.subTask(SeamUIMessages.OPEN_SEAM_COMPONENT_DIALOG_WAIT);
+		progressMonitor.subTask(SeamCoreMessages.OPEN_SEAM_COMPONENT_DIALOG_WAIT);
 		
 		try {
 			Job.getJobManager().join(ResourcesPlugin.FAMILY_AUTO_BUILD, null);
@@ -117,7 +117,7 @@
 				.getProjects();
 
 		progressMonitor.beginTask(
-				SeamUIMessages.OPEN_SEAM_COMPONENT_DIALOG_LOADING,
+				SeamCoreMessages.OPEN_SEAM_COMPONENT_DIALOG_LOADING,
 				projects.length);
 
 		for (int i = 0; i < projects.length; i++) {
@@ -189,7 +189,7 @@
 
 	protected IDialogSettings getDialogSettings() {
 		return new DialogSettings(
-				SeamUIMessages.OPEN_SEAM_COMPONENT_DIALOG_NAME);
+				SeamCoreMessages.OPEN_SEAM_COMPONENT_DIALOG_NAME);
 	}
 
 	public String getElementName(Object item) {
Index: src/org/jboss/tools/seam/ui/wizard/SeamFormWizard.java
===================================================================
--- src/org/jboss/tools/seam/ui/wizard/SeamFormWizard.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/wizard/SeamFormWizard.java	(working copy)
@@ -21,9 +21,9 @@
 import org.eclipse.ui.INewWizard;
 import org.eclipse.ui.PlatformUI;
 import org.jboss.tools.common.ui.widget.editor.INamedElement;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
 import org.jboss.tools.seam.ui.ISeamHelpContextIds;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * 
@@ -42,7 +42,7 @@
 	 */
 	public SeamFormWizard() {
 		super(CREATE_SEAM_FORM);
-		setWindowTitle(SeamUIMessages.SEAM_FORM_WIZARD_NEW_SEAM_FORM);
+		setWindowTitle(SeamCoreMessages.SEAM_FORM_WIZARD_NEW_SEAM_FORM);
 		setDefaultPageImageDescriptor(ImageDescriptor.createFromFile(SeamActionWizard.class, "SeamFormWizBan.png")); //$NON-NLS-1$
 	}
 
@@ -60,7 +60,7 @@
 	public static class SeamFormCreateOperation extends SeamBaseOperation {
 
 		public SeamFormCreateOperation() {
-			super(SeamUIMessages.SEAM_FORM_WIZARD_FORM_CREATING_OPERATION);
+			super(SeamCoreMessages.SEAM_FORM_WIZARD_FORM_CREATING_OPERATION);
 		}
 
 		/*
